Bug 1208381 - Review Request: gmavenplus-plugin - Integrates Groovy into Maven projects
Summary: Review Request: gmavenplus-plugin - Integrates Groovy into Maven projects
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Mukundan Ragavan
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1251207
TreeView+ depends on / blocked
 
Reported: 2015-04-02 06:46 UTC by gil cattaneo
Modified: 2016-03-17 20:52 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-03-17 20:52:07 UTC
nonamedotc: fedora-review+


Attachments (Terms of Use)
review.txt (8.16 KB, text/plain)
2016-03-06 16:43 UTC, Raphael Groner
no flags Details
licensecheck.txt (11.13 KB, text/plain)
2016-03-06 16:44 UTC, Raphael Groner
no flags Details
build.log (52.54 KB, text/plain)
2016-03-06 21:58 UTC, Mukundan Ragavan
no flags Details

Description gil cattaneo 2015-04-02 06:46:07 UTC
Spec URL: https://gil.fedorapeople.org/gmavenplus-plugin.spec
SRPM URL: https://gil.fedorapeople.org/gmavenplus-plugin-1.5-1.fc20.src.rpm
Description:
GMavenPlus is a rewrite of GMaven, a Maven plugin
that allows you to integrate Groovy into your
Maven projects.
Fedora Account System Username: gil

Task info: http://koji.fedoraproject.org/koji/taskinfo?taskID=9394813

Comment 3 Upstream Release Monitoring 2016-03-06 07:48:16 UTC
gil's scratch build of gmavenplus-plugin-1.5-1.fc23.src.rpm for rawhide completed http://koji.fedoraproject.org/koji/taskinfo?taskID=13249054

Comment 4 Raphael Groner 2016-03-06 16:43:57 UTC
Created attachment 1133532 [details]
review.txt

LGTM, please approve

Comment 5 Raphael Groner 2016-03-06 16:44:19 UTC
Created attachment 1133533 [details]
licensecheck.txt

Comment 6 gil cattaneo 2016-03-06 17:40:22 UTC
[?]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Apache (v2.0)", "Unknown or generated". 25 files have unknown
     license. Detailed output of licensecheck in /home/builder/fedora-
     review/1208381-gmavenplus-plugin/licensecheck.txt
=> Some source files without license header, please validate. See also below.

Only one file: GMavenPlus-1.5/src/main/java/org/codehaus/gmavenplus/plexus/AbstractIncludeProjectDependenciesComponentConfigurator.java
Open https://github.com/groovy/GMavenPlus/issues/50

[?]: Package contains no bundled libraries without FPC exception.
=> I assume the src/it and src/main folders only are relevant for built jar.

Only src/main/java the rest is not involved

[?]: Package functions as described.
=> OK, all provided and enabled tests pass. Can't tell about UAT.

Sorry, I don't understand the meaning of "UAT"

gmavenplus-plugin.noarch: W: wrong-file-end-of-line-encoding /usr/share/doc/gmavenplus-plugin/README.markdown
Fixed

Comment 8 Mukundan Ragavan 2016-03-06 21:58:09 UTC
Created attachment 1133565 [details]
build.log

Thanks Raphael for the excellent work!

---> review.txt as done by raphael looks fine by me. I do not have additional concerns.


---> license situation is addressed as such


---> tests are run and all seem to pass without issues.

---> build.log is attached. Everything seems fine there.

Comment 9 Mukundan Ragavan 2016-03-06 22:01:03 UTC
Everything looks fine to me. Package APPROVED.

Comment 10 Gwyn Ciesla 2016-03-07 14:01:32 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/gmavenplus-plugin

Comment 11 Fedora Update System 2016-03-07 16:19:44 UTC
gmavenplus-plugin-1.5-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-b73e30bc77

Comment 12 Fedora Update System 2016-03-09 22:57:01 UTC
gmavenplus-plugin-1.5-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-b73e30bc77

Comment 13 Fedora Update System 2016-03-17 20:52:06 UTC
gmavenplus-plugin-1.5-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.